# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Pod/Perldoc/ToPod.pm) perl(Pod/Text.pm) perl(Scalar/Util.pm) perl(Test/Builder/Module.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Object-InterfaceType
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: the Go lang Interface style duck type checker
Group: Development/Perl
License: perl
URL: http://github.com/yappo/p5-Object-InterfaceType/tree

Source0: http://cpan.org.ua/authors/id/Y/YA/YAPPO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Object::InterfaceType is Go lang Interface style duck type checker.

This module export is interface_type function.

It is useful when you receive an object with a specific method.
you can the recyclable duck type check can be performed.

Object::InterfaceType is using Exporter, export of interface_type can be controlled.

  use Object::InterfaceType ();
  Object::InterfaceType::interface_type stringify => ['as_string'];
  is_stringify(URI->new) ? 'ok' : 'ng';



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README README.pod
%perl_vendor_privlib/O*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

